%define major 1
%define libname %mklibname torksocks %{major}

Summary:	KDE frontend for tor
Name:		tork
Version:	0.20
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
URL:		http://tork.sourceforge.net
Source0:	http://downloads.sourceforge.net/tork/%{name}-%{version}.tar.bz2
BuildRequires:	libgeoip-devel
BuildRequires:	kdebase-devel
BuildRequires:	kdelibs-devel
BuildRequires:	glibc-static-devel
BuildRequires:	openssl-devel
#(tpg) libiberty-devel
BuildRequires:	binutils-devel
Requires:	tor
Requires:	privoxy
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
TorK is an anonymity manager for the KDE Desktop.
Browse anonymously on Konqueror/Firefox/Opera. 
Send anonymous email via the MixMinion network. 
Use ssh/irc/IM anonymously.Control and monitor 
your anonymous traffic on the Tor network.

Please first run tor and privoxy services before configuring TorK.

%package -n %{libname}
Summary:	Socks library for tork
Group:		System/Libraries
Requires:	tork = %{version}-%{release}

%description -n %{libname}
Socks library for tork.

%prep
%setup -q

%build
%configure2_5x \
	--with-qt-libraries=%{_prefix}/lib/qt3/%{_lib} \
	%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
	%endif
	--with-external-geoip \
	--enable-pch \
	--enable-nmcheck \
	--disable-rpath \
	--enable-socksdns

%make

%install
rm -rf %{buildroot}

%makeinstall_std

#(tpg) fix file list on x86_64
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}
mv -f %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}
%endif

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_mandir}
mv -f %{buildroot}/usr/local/etc/* %{buildroot}%{_sysconfdir}
mv -f %{buildroot}/usr/man/* %{buildroot}%{_mandir}	 

# (tpg) correct path
perl -pi -e 's,/usr/local,,g' %{buildroot}%{_bindir}/torkify

# (tpg) do not hardcode libdir
%ifnarch ix86
perl -pi -e 's,/usr/lib,%{_libdir},g' %{buildroot}%{_bindir}/torksocks
%endif

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/HTML/en/tork/*
%doc AUTHORS README TODO ChangeLog
%dir %{_datadir}/apps/tork/about
%dir %{_datadir}/apps/tork/icons
%dir %{_datadir}/apps/tork/privoxy
%{_bindir}/tor*
%{_libdir}/kde3/khtml_tork.la
%{_libdir}/kde3/khtml_tork.so
%{_libdir}/kde3/kickermenu_tork.la
%{_libdir}/kde3/kickermenu_tork.so
%{_libdir}/kde3/kio_torioslave.la
%{_libdir}/kde3/kio_torioslave.so
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/*.png
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/tork/about/*.png
%{_datadir}/apps/tork/eventsrc
%{_datadir}/apps/tork/icons/*
%{_datadir}/apps/tork/privoxy/*
%{_datadir}/apps/tork/tips
%{_datadir}/apps/tork/torkui.rc
%{_datadir}/config.kcfg/torkconfig.kcfg
%{_datadir}/apps/khtml/kpartplugins/tork_plug_in.desktop
%{_datadir}/apps/khtml/kpartplugins/tork_plug_in.rc
%{_datadir}/apps/kicker/menuext/torkmenu.desktop
%{_datadir}/apps/konqueror/servicemenus/tork_downloadwithfirefox.desktop
%{_datadir}/apps/konqueror/servicemenus/tork_downloadwithopera.desktop
%{_datadir}/apps/konqueror/servicemenus/tork_downloadwithkonqueror.desktop
%{_datadir}/services/torioslave.protocol

%files -n %{libname}
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/tork-tsocks.conf
%{_libdir}/libtorksocks.so
%{_libdir}/libtorksocks.so.%{major}*
%{_mandir}/man?/torksocks.*


%changelog
* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.20-1mdv2008.0
+ Revision: 93971
- remove hardcoded libdir (should work on x86_64)
- correct path for config files
- mark tork-tsocks.conf as a config file
- new version

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.18-2mdv2008.0
+ Revision: 57701
- fix build on i586
- fix building on x86_64
- add buildrequires on libbinutils-devel
- provide a libtorksocks library
- new version

* Fri Jun 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.17-1mdv2008.0
+ Revision: 43153
- fix file list
- adjust buildrequires
- kill X-MandrivaLinux
- new version

* Fri May 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.16-1mdv2008.0
+ Revision: 27745
- new version

* Sat May 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15-2mdv2008.0
+ Revision: 23038
- set requires on privoxy
- update description

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.15-1mdv2008.0
+ Revision: 22541
- correct buildrequires
- configure script finds qt3 libraries on x86_64 now
- make it work
- fix group
- Import tork

